io.vertx.redis.op

## Class GeoRadiusOptions

- java.lang.Object
- - io.vertx.redis.op.GeoRadiusOptions

-     public class GeoRadiusOptions
      extends Object

  Author:
    Paulo Lopes

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeoRadiusOptions()`
    `GeoRadiusOptions(GeoRadiusOptions obj)`
    `GeoRadiusOptions(JsonObject obj)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GeoRadiusOptions` | `setCount(Long value)` Set the radius options limit the result count.
    `GeoRadiusOptions` | `setWithCoord(boolean bool)` Set the radius options to be coordinate based.
    `GeoRadiusOptions` | `setWithDist(boolean bool)` Set the radius options to be distance based.
    `GeoRadiusOptions` | `setWithHash(boolean bool)` Set the radius options to be hash based.
    `JsonObject` | `toJson()`
    `JsonArray` | `toJsonArray()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeoRadiusOptions

          public GeoRadiusOptions()

    - #### GeoRadiusOptions

          public GeoRadiusOptions(GeoRadiusOptions obj)

    - #### GeoRadiusOptions

          public GeoRadiusOptions(JsonObject obj)

  - ### Method Detail

    - #### setWithCoord

          public GeoRadiusOptions setWithCoord(boolean bool)

      Set the radius options to be coordinate based.
      Parameters:
        `bool` - true for coordinate base
      Returns:
        self

    - #### setWithDist

          public GeoRadiusOptions setWithDist(boolean bool)

      Set the radius options to be distance based.
      Parameters:
        `bool` - true for distance base
      Returns:
        self

    - #### setWithHash

          public GeoRadiusOptions setWithHash(boolean bool)

      Set the radius options to be hash based.
      Parameters:
        `bool` - true for hash base
      Returns:
        self

    - #### setCount

          public GeoRadiusOptions setCount(Long value)

      Set the radius options limit the result count.
      Parameters:
        `value` - the count
      Returns:
        self

    - #### toJson

          public JsonObject toJson()

    - #### toJsonArray

          public JsonArray toJsonArray()

Copyright © 2016. All rights reserved.